package controllers

// JSONMessage 主要用于 Response 返回
type JSONMessage struct {
	Code    int         `json:"code"`
	Message string      `json:"message"`
	Result  interface{} `json:"result"`
}

// ControllerInterface 项目约定的 Controller 须满足的接口
type ControllerInterface interface {
	Constructor()
}
