package coupon

import (
	"errors"
	"spaceofcheng/services/models/model"
)

// UpdateTarget 更新关联内容 -- 插入或者更新
func (m *CouponDAO) UpdateTarget(targets []model.TaCouponTarget, couponID string) error {
	if targets == nil || len(targets) == 0 {
		return nil
	}

	for i := range targets {
		if targets[i].TargetId == "" {
			return errors.New("关联内容不能为空")
		}

		// TODO
		// 校验关联内容是否有效

		targets[i].CouponId = couponID
	}

	// var delTargets []model.TaCouponTarget
	sql := `delete from ta_coupon_target where coupon_id='` + couponID + `'`
	if _, err := m.db.Exec(sql); err != nil {
		return err
	}
	if _, err := m.db.Insert(targets); err != nil {
		return err
	}

	return nil
}
