package model

import (
	"time"
)

type TaCheckinRecord struct {
	CheckinId    string    `xorm:"not null pk VARCHAR(64)"`
	CaseId       string    `xorm:"VARCHAR(64)"`
	CustomerId   string    `xorm:"VARCHAR(64)"`
	Phone        string    `xorm:"VARCHAR(32)"`
	OpenId       string    `xorm:"VARCHAR(128)"`
	Name         string    `xorm:"VARCHAR(32)"`
	CustomerName string    `xorm:"VARCHAR(32)"`
	CaseName     string    `xorm:"VARCHAR(32)"`
	ActivityId   string    `xorm:"VARCHAR(64)"`
	ActivityName string    `xorm:"VARCHAR(64)"`
	CreateDate   time.Time `xorm:"DATETIME"`
	Status       int       `xorm:"SMALLINT(6)"`
	OrgId				 string    `xorm:"VARCHAR(64)"`
}
