package model

import (
	"time"
)

type TaCourseOrdersCoupon struct {
	OrdersCouponId   string    `xorm:"not null pk VARCHAR(64)"`
	OrdersId         string    `xorm:"VARCHAR(64)"`
	CouponId         string    `xorm:"VARCHAR(64)"`
	CouponName       string    `xorm:"VARCHAR(50)"`
	UsedAmount       string    `xorm:"DECIMAL(8,2)"`
	Status           int       `xorm:"SMALLINT(6)"`
	CreateDate       time.Time `xorm:"DATETIME"`
	CouponType       string    `xorm:"VARCHAR(50)"`
	CustomerCouponId string    `xorm:"VARCHAR(64)"`
	CourseId         string    `xorm:"VARCHAR(64)"`
	CourseName       string    `xorm:"VARCHAR(50)"`
}
