package model

import (
	"time"
)

type TaCustomerGym struct {
	CustomerGymId   string    `xorm:"not null pk VARCHAR(64)"`
	GymCardId       string    `xorm:"VARCHAR(64)"`
	CustomerGymName string    `xorm:"VARCHAR(64)"`
	CustomerId      string    `xorm:"VARCHAR(64)"`
	SalesId         string    `xorm:"VARCHAR(64)"`
	SalesName       string    `xorm:"VARCHAR(32)"`
	StartDate       time.Time `xorm:"DATETIME"`
	EndDate         time.Time `xorm:"DATETIME"`
	CardStatus      string    `xorm:"VARCHAR(32)"`
	Status          int       `xorm:"SMALLINT(6)"`
	ReceiveDate     time.Time `xorm:"DATETIME"`
	GymType         string    `xorm:"VARCHAR(64)"`
	CaseId          string    `xorm:"VARCHAR(64)"`
	OrgId           string    `xorm:"VARCHAR(64)"`
	ReceivingType   string    `xorm:"VARCHAR(20)"`
}
