package model

import (
	"time"
)

type TaFlashBuy struct {
	FlashBuyId           string    `xorm:"not null pk VARCHAR(64)"`
	ModelId              string    `xorm:"VARCHAR(64)"`
	FlashBuyName         string    `xorm:"VARCHAR(64)"`
	AttendantType        string    `xorm:"VARCHAR(32)"`
	FlashBuyMaxAttendant int       `xorm:"INT(11)"`
	JoinNum              int       `xorm:"INT(11)"`
	FlashBuyStatus       string    `xorm:"VARCHAR(32)"`
	StartDate            time.Time `xorm:"DATETIME"`
	EndDate              time.Time `xorm:"DATETIME"`
	ValidateType         string    `xorm:"VARCHAR(32)"`
	ValidateDays         int       `xorm:"INT(11)"`
	ValidateStart        time.Time `xorm:"DATETIME"`
	ValidateEnd          time.Time `xorm:"DATETIME"`
	Status               int       `xorm:"SMALLINT(6)"`
	FlashBuyInfo         string    `xorm:"TEXT"`
	CaseId               string    `xorm:"VARCHAR(64)"`
	OrgId                string    `xorm:"VARCHAR(64)"`
}
