package model

import (
	"time"
)

type TaLuckdraw struct {
	Id                string    `xorm:"not null pk VARCHAR(64)"`
	Name              string    `xorm:"VARCHAR(50)"`
	ThemeId           string    `xorm:"VARCHAR(64)"`
	LuckdrawRule      string    `xorm:"TEXT"`
	BeginDate         time.Time `xorm:"DATETIME"`
	EndDate           time.Time `xorm:"DATETIME"`
	OrgId             string    `xorm:"VARCHAR(64)"`
	CaseId            string    `xorm:"VARCHAR(64)"`
	CreateDate        time.Time `xorm:"DATETIME"`
	CreateUser        string    `xorm:"VARCHAR(64)"`
	Remark            string    `xorm:"TEXT"`
	Status            int       `xorm:"SMALLINT(6)"`
	TplId             string    `xorm:"VARCHAR(64)"`
	JoinedNum         int       `xorm:"default 0 INT(11)"`
	JoinNum           int       `xorm:"default 0 INT(11)"`
	JoinType          string    `xorm:"VARCHAR(20)"`
	NumType           string    `xorm:"VARCHAR(20)"`
	NumInterval       string    `xorm:"VARCHAR(20)"`
	LuckdrawNum       int       `xorm:"default 0 INT(11)"`
	ShareType         string    `xorm:"VARCHAR(20)"`
	ShareAddNum       int       `xorm:"SMALLINT(6)"`
	IsSysLuckdraw     int       `xorm:"TINYINT(1)"`
	IsInternalDefault int       `xorm:"TINYINT(1)"`
}
