package model

import (
	"time"
)

type TaLuckdrawPrize struct {
	Id                string    `xorm:"not null pk VARCHAR(64)"`
	LuckdrawId        string    `xorm:"VARCHAR(64)"`
	PrizeName         string    `xorm:"VARCHAR(50)"`
	PrizeImg          string    `xorm:"TEXT"`
	Stock             int       `xorm:"INT(11)"`
	Remainder         int       `xorm:"INT(11)"`
	Probability       int       `xorm:"INT(11)"`
	PrizeDesc         string    `xorm:"TEXT"`
	PrizeLink         string    `xorm:"TEXT"`
	Status            int       `xorm:"SMALLINT(6)"`
	IsReality         int       `xorm:"SMALLINT(6)"`
	ValidDays         int       `xorm:"INT(11)"`
	VerificationStart time.Time `xorm:"DATETIME"`
	VerificationEnd   time.Time `xorm:"DATETIME"`
	PrizeType         string    `xorm:"VARCHAR(20)"`
	CouponCardType    string    `xorm:"VARCHAR(20)"`
	CouponCardId      string    `xorm:"VARCHAR(64)"`
}
