package model

import (
	"time"
)

type TaSaleCustomer struct {
	SaleCustomerId string    `xorm:"not null VARCHAR(64)"`
	CustomerName   string    `xorm:"VARCHAR(32)"`
	CustomerPhone  string    `xorm:"VARCHAR(32)"`
	CustomerId     string    `xorm:"VARCHAR(64)"`
	SalesPhone     string    `xorm:"VARCHAR(32)"`
	SalesId        string    `xorm:"VARCHAR(64)"`
	SalesName      string    `xorm:"VARCHAR(32)"`
	Status         int       `xorm:"SMALLINT(6)"`
	CreateDate     time.Time `xorm:"DATETIME"`
	CaseId         string    `xorm:"VARCHAR(64)"`
	OrgId          string    `xorm:"VARCHAR(64)"`
}
