package model

import (
	"time"
)

type TaShareLuckyRecord struct {
	Id                 string    `xorm:"not null pk VARCHAR(64)"`
	FromCustomerId     string    `xorm:"VARCHAR(64)"`
	FromCustomerName   string    `xorm:"VARCHAR(32)"`
	FromCustomerWxname string    `xorm:"VARCHAR(64)"`
	FromCustomerTel    string    `xorm:"VARCHAR(32)"`
	ToCustomerId       string    `xorm:"VARCHAR(64)"`
	ToCustomerName     string    `xorm:"VARCHAR(32)"`
	ToCustomerWxname   string    `xorm:"VARCHAR(64)"`
	ToCustomerTel      string    `xorm:"VARCHAR(32)"`
	CreateDate         time.Time `xorm:"DATETIME"`
	CaseId             string    `xorm:"VARCHAR(64)"`
	Status             int       `xorm:"SMALLINT(6)"`
	LuckydrawId        string    `xorm:"VARCHAR(64)"`
	LuckydrawName      string    `xorm:"VARCHAR(128)"`
}
