package statistics

import (
	"spaceofcheng/services/models/statistics"
	"spaceofcheng/services/utils"
)

// StatisticsServ 系统处理
type StatisticsServ struct {
	ctx *utils.Context
	dao *statistics.StatisticsDAO
}

// NewStatisticsServ 初始化
func NewStatisticsServ(ctx *utils.Context) *StatisticsServ {
	return &StatisticsServ{
		ctx: ctx,
		dao: statistics.NewStatisticsDAO(ctx),
	}
}
