package goods

import (
	"spaceofcheng/services/models/goods"
)

// GetMakeStatus 获取制作状态字典
func (c GoodsController) GetMakeStatus() {
	data := []map[string]string{
		map[string]string{
			"TypeId":   goods.MAKESTATUS_NOTSTARTED,
			"TypeName": "未开始",
		},
		map[string]string{
			"TypeId":   goods.MAKESTATUS_FINISHED,
			"TypeName": "已完成",
		},
		map[string]string{
			"TypeId":   goods.MAKESTATUS_CANCEL,
			"TypeName": "已取消",
		},
	}

	c.ResponseJSON(map[string]interface{}{
		"list": data,
	})
}
