package model

import (
	"time"
)

type TaCustomerVip struct {
	CustomerVipId  string    `xorm:"not null VARCHAR(64)"`
	CustomerId     string    `xorm:"VARCHAR(64)"`
	VipCardId      string    `xorm:"VARCHAR(64)"`
	VipCardChildId string    `xorm:"VARCHAR(64)"`
	CustomerTel    string    `xorm:"VARCHAR(50)"`
	CreateDate     time.Time `xorm:"DATETIME"`
	Amount         string    `xorm:"DECIMAL(8,2)"`
	BeginDate      time.Time `xorm:"DATETIME"`
	EndDate        time.Time `xorm:"DATETIME"`
	Balance        string    `xorm:"DECIMAL(8,2)"`
	PayAmount      string    `xorm:"DECIMAL(8,2)"`
	CaseId         string    `xorm:"VARCHAR(64)"`
	OrgId          string    `xorm:"VARCHAR(64)"`
	Status         int       `xorm:"SMALLINT(6)"`
	SalesId        string    `xorm:"VARCHAR(64)"`
	SalesName      string    `xorm:"VARCHAR(50)"`
}
