package model

import (
	"time"
)

type TaCustomerVipChange struct {
	ChangeId      string    `xorm:"not null VARCHAR(64)"`
	CustomerVipId string    `xorm:"VARCHAR(64)"`
	CustomerId    string    `xorm:"VARCHAR(64)"`
	OrgId         string    `xorm:"VARCHAR(64)"`
	CaseId        string    `xorm:"VARCHAR(64)"`
	ChangeType    string    `xorm:"VARCHAR(20)"`
	ChangeSource  string    `xorm:"VARCHAR(20)"`
	SourceId      string    `xorm:"VARCHAR(64)"`
	SourceName    string    `xorm:"VARCHAR(255)"`
	Amount        string    `xorm:"DECIMAL(8,2)"`
	FloatType     string    `xorm:"VARCHAR(5)"`
	CreateDate    time.Time `xorm:"DATETIME"`
	CreateUser    string    `xorm:"VARCHAR(64)"`
	Status        int       `xorm:"SMALLINT(6)"`
}
