package model

import (
	"time"
)

type TaGymCard struct {
	GymCardId   string    `xorm:"not null pk VARCHAR(64)"`
	GymTypeId   string    `xorm:"VARCHAR(64)"`
	GymCardName string    `xorm:"VARCHAR(128)"`
	Price       string    `xorm:"DECIMAL(8,2)"`
	SendType    string    `xorm:"comment('case 案场 channel渠道') VARCHAR(50)"`
	StartDate   time.Time `xorm:"DATETIME"`
	EndDate     time.Time `xorm:"DATETIME"`
	ValidDays   int       `xorm:"INT(11)"`
	TotalCount  int       `xorm:"INT(11)"`
	SentCount   int       `xorm:"INT(11)"`
	UsedCount   int       `xorm:"INT(11)"`
	Status      int       `xorm:"comment('0未发布 1已发布 2已过期') SMALLINT(6)"`
	CaseId      string    `xorm:"VARCHAR(64)"`
	OrgId       string    `xorm:"VARCHAR(64)"`
	CreateDate  time.Time `xorm:"DATETIME"`
}
