package model

import (
	"time"
)

type TaStatisticsCardCouponUsage struct {
	CardCouponUsageId string    `xorm:"not null pk VARCHAR(64)"`
	CardCouponType    string    `xorm:"VARCHAR(32)"`
	CardCouponName    string    `xorm:"VARCHAR(64)"`
	CardCouponId      string    `xorm:"VARCHAR(64)"`
	UsedItemId        string    `xorm:"VARCHAR(64)"`
	UsedItemName      string    `xorm:"VARCHAR(32)"`
	ReceiveType       string    `xorm:"VARCHAR(32)"`
	CustomerId        string    `xorm:"VARCHAR(64)"`
	CustomerName      string    `xorm:"VARCHAR(64)"`
	CustomerPhone     string    `xorm:"VARCHAR(100)"`
	SalesId           string    `xorm:"VARCHAR(64)"`
	SalesName         string    `xorm:"VARCHAR(32)"`
	ValidDate         time.Time `xorm:"DATETIME"`
	ReceiveDate       time.Time `xorm:"DATETIME"`
	VerifyDate        time.Time `xorm:"DATETIME"`
	VerifyStatus      string    `xorm:"VARCHAR(32)"`
	Status            int       `xorm:"SMALLINT(6)"`
}
