package model

import (
	"time"
)

type TaVipCardChild struct {
	VipCardChildId   string    `xorm:"not null pk VARCHAR(64)"`
	VipCardId        string    `xorm:"VARCHAR(64)"`
	VipCardChildCode string    `xorm:"VARCHAR(255)"`
	Status           int       `xorm:"SMALLINT(6)"`
	CustomerId       string    `xorm:"VARCHAR(64)"`
	CustomerTel      string    `xorm:"VARCHAR(50)"`
	CreateDate       time.Time `xorm:"DATETIME"`
	ActiveDate       time.Time `xorm:"DATETIME"`
	Amount           string    `xorm:"DECIMAL(8,2)"`
	SalesId          string    `xorm:"VARCHAR(64)"`
	SalesName        string    `xorm:"VARCHAR(50)"`
	BeginDate        time.Time `xorm:"DATETIME"`
	EndDate          time.Time `xorm:"DATETIME"`
	CaseId           string    `xorm:"VARCHAR(64)"`
	OrgId            string    `xorm:"VARCHAR(64)"`
}
